dl.dropdown {
    -moz-user-select: none; /* Firefox all */
    -ms-user-select: none; /* IE 10+ */
    -webkit-user-select: none; /* Chrome all / Safari all */
    user-select: none; /* Likely future */
}

dl.dropdown.error {
    color: initial;
}

dl.dropdown dt {
    background-color: #ffffff;
    border: 1px solid #888888;
    font-weight: normal;
    height: 20px;
    line-height: 20px;
    padding: 0 19px 0 3px;
    position: relative;
}

dl.dropdown dt drop {
    background-color: #333333;
    display: block;
    height: 20px;
    line-height: 20px;
    position: absolute;
    right: 0;
    top: 0;
    width: 16px;
}

dl.dropdown dt drop:before {
    position: absolute;
    top: 2px;
}

dl.dropdown dd {
    border: 1px solid #333333;
    max-height: 190px;
    overflow-y: auto;
    position: relative;
    z-index: 10;
}

dl.dropdown dd li {
    background-color: #eeeeee;
    border-top: 1px solid #333333;
    cursor: pointer;
    height: 18px;
    line-height: 18px;
    padding: 0 0 0 3px;
}

dl.dropdown dd li.sel {
    background-color: #9999ff;
}

dl.dropdown dd li:hover,
dl.dropdown dd li.faux_hover {
    background-color: #666666;
    color: #cccccc;
}

dl.dropdown dd li.optgroup {
    background-color: #888888;
    color: #ffffff;
    cursor: default;
    font-style: italic;
}

/* Search */
dl.dropdown li.search {
    padding: 0;
}

dl.dropdown input.search {
    background-image: url(/skel/images/icons/dropdown_search.png);
    background-position: right;
    background-repeat: no-repeat;
    border-style: none;
    box-sizing: border-box;
    width: 100%;
}

/* Disabled */
dl.dropdown[data-disabled="true"] dt {
    background-color: #dddddd;
}

dl.dropdown[data-disabled="true"] drop:before {
    filter: grayscale(1);
}

/* Mobile */
dl.dropdown dt select {
    display: none;
}

.viewport-mobile dl.dropdown dt select {
    display: block;
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
}
